跳至內容
ShopentlyLearn

審核留言

核准、拒絕與審核留言

POST/api/v1/addons/shopently.blog/comments/{comment_id}/moderate

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/addons/shopently.blog/comments/2247b58d-1521-4fc0-9eec-6c47c259c181/moderate \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-4684eba9bb8e4afba9bb54c76e71e04d' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":2,"reason":null,"status":"approved"}'

回應

{
  "data": {
    "id": "2247b58d-1521-4fc0-9eec-6c47c259c181",
    "status": "approved",
    "version": 3
  },
  "meta": {
    "request_id": "b2f16d9f-4ef9-4f9e-9ff1-ec46da1aadf8"
  }
}

所需權限

身份驗證
存取權杖
最低方案
BASIC
金鑰權限
核准、拒絕與審核留言addon.shopently.blog:comment_moderate
所需的已安裝模組

shopently.blog